Data Fields
acc_vibration_handle Struct Reference

## Data Fields
acc_config_t * | sensor_config
bool | low_frequency_enhancement_enabled
bool | continuous_data_acquisition
float | psd_to_radians_conversion_factor
float | displacement_conversion_factor
bool | has_init
circular_float_buffer_t | time_series
float * | frequencies
float * | lp_displacements
int32_t * | double_buffer_filter_buffer
uint16_t | subframe_length
uint16_t | padded_time_series_length
uint16_t | rfft_length_shift
uint16_t | rfft_output_length
uint16_t | rfft_read_offset
uint16_t | data_length
float * | zero_mean_time_series
complex float * | rfft_output
float * | threshold

## Detailed Description

Examples
  example_vibration_main.c.

Definition at line 58 of file example_vibration.c.

## Field Documentation

## ◆ continuous_data_acquisition

bool acc_vibration_handle::continuous_data_acquisition

Definition at line 63 of file example_vibration.c.

## ◆ data_length

uint16_t acc_vibration_handle::data_length

Definition at line 80 of file example_vibration.c.

## ◆ displacement_conversion_factor

float acc_vibration_handle::displacement_conversion_factor

Definition at line 65 of file example_vibration.c.

## ◆ double_buffer_filter_buffer

int32_t* acc_vibration_handle::double_buffer_filter_buffer

Definition at line 73 of file example_vibration.c.

## ◆ frequencies

float* acc_vibration_handle::frequencies

Definition at line 70 of file example_vibration.c.

## ◆ has_init

bool acc_vibration_handle::has_init

Definition at line 67 of file example_vibration.c.

## ◆ low_frequency_enhancement_enabled

bool acc_vibration_handle::low_frequency_enhancement_enabled

Definition at line 62 of file example_vibration.c.

## ◆ lp_displacements

float* acc_vibration_handle::lp_displacements

Definition at line 71 of file example_vibration.c.

## ◆ padded_time_series_length

uint16_t acc_vibration_handle::padded_time_series_length

Definition at line 76 of file example_vibration.c.

## ◆ psd_to_radians_conversion_factor

float acc_vibration_handle::psd_to_radians_conversion_factor

Definition at line 64 of file example_vibration.c.

## ◆ rfft_length_shift

uint16_t acc_vibration_handle::rfft_length_shift

Definition at line 77 of file example_vibration.c.

## ◆ rfft_output

complex float* acc_vibration_handle::rfft_output

Definition at line 83 of file example_vibration.c.

## ◆ rfft_output_length

uint16_t acc_vibration_handle::rfft_output_length

Definition at line 78 of file example_vibration.c.

## ◆ rfft_read_offset

uint16_t acc_vibration_handle::rfft_read_offset

Definition at line 79 of file example_vibration.c.

## ◆ sensor_config

acc_config_t* acc_vibration_handle::sensor_config

Definition at line 60 of file example_vibration.c.

## ◆ subframe_length

uint16_t acc_vibration_handle::subframe_length

Definition at line 75 of file example_vibration.c.

## ◆ threshold

float* acc_vibration_handle::threshold

Definition at line 84 of file example_vibration.c.

## ◆ time_series

circular_float_buffer_t acc_vibration_handle::time_series

Definition at line 69 of file example_vibration.c.

## ◆ zero_mean_time_series

float* acc_vibration_handle::zero_mean_time_series

Definition at line 82 of file example_vibration.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/example_apps/example_vibration.c